/**
 * {基类}
 * @author yutent<yutent.io@gmail.com>
 * @date 2024/02/04 18:13:31
 */

export class Controller {
  #options = {}

  constructor(opt) {
    this.setOptions(opt)
  }

  setOptions(opt = {}) {
    Object.assign(this.#options, opt)
  }

  $get(k) {
    return this.#options[k]
  }

  $set(k, v) {
    this.#options[k] = v
  }
}
